#include <windows.h>

void copier_dans_presse_papier(const char *s)
{
	if(OpenClipboard(NULL))
	{
		HGLOBAL h;
		EmptyClipboard();
		h = GlobalAlloc(GHND, strlen(s) + 1);
		if(h)
		{
			char *p = GlobalLock(h);
			if(p)
			{
				strcpy(p, s);
				GlobalUnlock(h);
				SetClipboardData(CF_TEXT, h);
			}
			GlobalFree(h);
		}
		CloseClipboard();
	}
}

int main(void)
{
	copier_dans_presse_papier("Hello World !");
	return 0;
}


/*!F
	Encore une fois, un grand merci  magma :
	http://www.siteduzero.com/forum-83-643887-p1-utiliser-le-presse-papiers-sous-windows.html#r6192139

	Ce programme va inscrire Hello World ! dans le presse papier : c'est  dire que ds que vous aurez lanc le programme, ouvrez un bloc note, 
	ou n'importe quel diteur de texte, faites CTRL+V, et hop, le mot apparat !

	Pour expliquer rapidement, on ouvre le presse papier grce  OpenClipboard.
	On vide ce qu'il y a dedans.

	Puis on cre un objet HGLOBAL grce  GlobalAlloc, on prend un pointeur dessus grce  GlobalLock, on copie notre chane dedans, on unlock,
	on la passe  SetClipboardData en tant que texte*, puis on free, et on ferme le clipboard.

	* le presse papier peut contenir du texte, une image, des fichiers selectionns, etc...
!*/

/*!E
	No explanations yet.
!*/

/*
titre: Copier du texte dans le presse papier.
titreE: Copy in the clipboard.
meta: C;WINAPI;Windows
metaE: C;WINAPI;Windows
desc : Copier du texte dans le presse papier.
descE: Copy in the clipboard.
cle  : SetClipboardData
parag: 4.10. Le presse papier.
paragE: 4.10. The clipboard.
*/
